<script lang="ts" setup>
import type { BaseHero } from '@/types/base';

defineProps<BaseHero>();
</script>
<template>
  <section class="team-ops-hero">
    <SlpContainer class="team-ops-hero__container">
      <SlpRow>
        <SlpColumn :cols="7" size="lg" class="team-ops-hero__copy team-ops-hero__col">
          <div data-aos="fade-down" data-aos-duration="1600" data-aos-offset="200">
            <img class="team-ops-hero__logo" src="/images/logos/teamops.svg" />
            <SlpTypography tag="h1" variant="heading1-bold"> {{ title }} </SlpTypography>
            <SlpTypography tag="p" variant="heading5" class="slp-pt-24"> {{ subTitle }} </SlpTypography>
            <SlpButton
              v-if="primaryButton"
              :href="primaryButton.config.href"
              variant="secondary"
              :data-ga-name="primaryButton.config.dataGaName"
              :data-ga-location="primaryButton.config.dataGaLocation"
              class="slp-mt-24"
            >
              {{ primaryButton.text }}
            </SlpButton>
          </div>
        </SlpColumn>
        <SlpColumn :cols="5" size="lg" class="team-ops-hero__col">
          <div class="team-ops-hero__image">
            <img
              v-if="image"
              :src="image.config.src"
              :alt="image.altText"
              data-aos="zoom-out-left"
              data-aos-duration="1600"
              data-aos-offset="200"
              loading="lazy"
            />
            <div class="circle-1"></div>
          </div>
        </SlpColumn>
      </SlpRow>
      <div class="circle-2"></div>
      <div class="circle-3"></div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.team-ops-hero {
  background: #256ad1;
  color: $color-primary-300;
  overflow: hidden;
  position: relative;

  &__logo {
    color: white;
    height: $spacing-32;
    filter: invert(100%);
  }

  &__col {
    @media (max-width: $breakpoint-lg) {
      flex: 1 1 100%;
      width: 100%;
    }
  }

  &__container {
    position: relative;
  }

  &__copy {
    padding: $spacing-48 0;
    position: relative;
    z-index: 1000;

    @media (min-width: $breakpoint-lg) {
      padding: $spacing-96 0;
    }
  }

  &__image {
    background: $color-primary-300;
    padding: $spacing-64 0;
    position: relative;
    display: flex;
    align-items: center;
    height: 100%;

    @media (min-width: $breakpoint-lg) {
      padding: $spacing-96 $spacing-48;
      margin-right: -$spacing-64;
    }

    img {
      width: 100%;
      position: relative;
      margin: 0 auto;
      display: block;
    }

    &::before {
      content: '';
      position: absolute;
      background: $color-primary-300;
      width: 200vw;
      height: calc(100% + 2px);
      bottom: -2px;
      transform: translateX(-50%);
      left: 50%;

      @media (min-width: $breakpoint-lg) {
        width: 100%;
        height: 200vh;
        top: 50%;
        transform: translateY(-50%);
        left: 0;
        bottom: auto;
      }
    }
  }

  .circle-1 {
    position: absolute;
    width: 344px;
    height: 344px;
    border: 2px solid $color-primary-200;
    border-radius: 100%;
    top: -270px;
    right: -305px;
    @media (min-width: $breakpoint-sm) {
      top: -270px;
      right: -230px;
    }
    @media (min-width: $breakpoint-lg) {
      top: -220px;
      right: -115px;
    }
  }

  .circle-2 {
    position: absolute;
    width: 381px;
    height: 381px;
    border: 2px solid $color-primary-200;
    border-radius: 100%;
    bottom: -180px;
    right: -315px;
    @media (min-width: $breakpoint-sm) {
      bottom: -180px;
      right: -290px;
    }
  }

  .circle-3 {
    position: absolute;
    width: 515px;
    height: 515px;
    border: 2px solid $color-primary-200;
    border-radius: 100%;
    bottom: -397px;
    left: -395px;

    @media (min-width: $breakpoint-sm) {
      left: -340px;
    }
    @media (min-width: $breakpoint-lg) {
      left: 50%;
      transform: translateX(-50%);
    }
  }
}
</style>
